Subject: Ticket Assigned - Refund Problem
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 15 May 2021 08:36:08 +0000

Hi Wael amir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund Problem Hi MAX staff
Hope this email finds you well

I have ordered the order No. 2001254970 on 26-3-2021
And I have returned an item the next day
and till now I did not have my refund
I have tried to contact MAX on the Landline with no success, and failed to write to them on the chat box in the application

Thanks
Matta

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2414429